gstreamermm: Gst::Tee Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::Tee Class Reference
gstreamermm Plugins

A Wrapper for the tee plugin. More...

Inheritance diagram for Gst::Tee:
[legend]
Collaboration diagram for Gst::Tee:
[legend]

List of all members.

## Public Member Functions
virtual | ~Tee ()
GstTee* | gobj ()
| Provides access to the underlying C GObject.
const GstTee* | gobj () const
| Provides access to the underlying C GObject.
GstTee* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< int > | property_num_src_pads () const
| The number of source pads.
Glib::PropertyProxy< bool > | property_has_sink_loop ()
| If the element should spawn a thread (unimplemented and deprecated).
Glib::PropertyProxy_ReadOnly < bool > | property_has_sink_loop () const
| If the element should spawn a thread (unimplemented and deprecated).
Glib::PropertyProxy< bool > | property_has_chain ()
| If the element can operate in push mode.
Glib::PropertyProxy_ReadOnly < bool > | property_has_chain () const
| If the element can operate in push mode.
Glib::PropertyProxy< bool > | property_silent ()
| Don't produce last_message events.
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| Don't produce last_message events.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_last_message () const
| The message describing current status.
Glib::PropertyProxy < Gst::TeePullMode > | property_pull_mode ()
| Behavior of tee in pull mode.
Glib::PropertyProxy_ReadOnly < Gst::TeePullMode > | property_pull_mode () const
| Behavior of tee in pull mode.
Glib::PropertyProxy < Glib::RefPtr< Gst::Pad > > | property_alloc_pad ()
| The pad used for gst_pad_alloc_buffer.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Pad > > | property_alloc_pad () const
| The pad used for gst_pad_alloc_buffer.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< Tee > | create ()
| Creates a new tee plugin with a unique name.
static Glib::RefPtr< Tee > | create (const Glib::ustring& name)
| Creates a new tee plugin with the given name.
## Protected Member Functions
| Tee ()
| Tee (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Tee > | wrap (GstTee* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the tee plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::Tee::~Tee | ( |  | ) | `[virtual]`

Gst::Tee::Tee | ( |  | ) | `[protected]`

Gst::Tee::Tee | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Tee> Gst::Tee::create | ( |  | ) | `[static]`

Creates a new tee plugin with a unique name.

static Glib::RefPtr<Tee> Gst::Tee::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new tee plugin with the given name.

static GType Gst::Tee::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstTee* Gst::Tee::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstTee* Gst::Tee::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTee* Gst::Tee::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy< Glib::RefPtr<Gst::Pad> > Gst::Tee::property_alloc_pad | ( |  | ) |

The pad used for gst_pad_alloc_buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Pad> > Gst::Tee::property_alloc_pad | ( |  | ) | const

The pad used for gst_pad_alloc_buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::Tee::property_has_chain | ( |  | ) |

If the element can operate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::Tee::property_has_chain | ( |  | ) | const

If the element can operate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::Tee::property_has_sink_loop | ( |  | ) |

If the element should spawn a thread (unimplemented and deprecated).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::Tee::property_has_sink_loop | ( |  | ) | const

If the element should spawn a thread (unimplemented and deprecated).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::Tee::property_last_message | ( |  | ) | const

The message describing current status.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::Tee::property_num_src_pads | ( |  | ) | const

The number of source pads.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TeePullMode > Gst::Tee::property_pull_mode | ( |  | ) |

Behavior of tee in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TeePullMode > Gst::Tee::property_pull_mode | ( |  | ) | const

Behavior of tee in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::Tee::property_silent | ( |  | ) |

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::Tee::property_silent | ( |  | ) | const

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Tee > wrap | ( | GstTee * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/tee.h